  
<template>
    <nav class="navbar is-light">
        <div class="navbar-item">
            <router-link class="title is-1" to="/">Punchclock</router-link>
        </div>
        <ul class="navbar-end">
            <template v-if="!currentUser">
                <li class="navbar-item">
                    <router-link to="/login" class="button is-link">Login</router-link>
                </li>
                <li class="navbar-item">
                    <router-link to="/register" class="nav-link">Register</router-link>
                </li>
            </template>
            <template v-else>
                <li class="navbar-item">
                    <router-link to="/entries" class="nav-link">Entries</router-link>
                </li>
                <li class="navbar-item">{{ currentUser.name }}</li>
                <li class="navbar-item">
                    <a href="#!" @click.prevent="logout" class="button is-link">Logout</a>
                </li>
            </template>
        </ul>
    </nav>
</template>

<script>
    export default {
        name: 'app-header',
        methods: {
            logout() {
                this.$store.commit('logout');
                this.$router.push('/login');
            }
        },
        computed: {
            currentUser() {
                return this.$store.getters.currentUser
            }
        }
    }
</script>